/* -----------------------------------------------------------------------------
 * $Id: HsUtil.h,v 1.2 2001/11/20 19:32:06 sof Exp $
 *
 * Definitions for package `util' which are visible in Haskell land.
 *
 * ---------------------------------------------------------------------------*/

#ifndef HSUTIL_H
#define HSUTIL_H

/* md5.c */
extern void __hslibs_MD5Init(StgByteArray context);
extern void __hslibs_MD5Update(StgByteArray context, void const *buf, int len);
extern void __hslibs_MD5Final(StgByteArray digest, StgByteArray context);

/* selectFrom.c */
extern StgInt sizeof_fd_set__();
extern void fd_zero__(StgByteArray fds);
extern void fd_set__(StgByteArray a, StgInt fd);
extern StgInt is_fd_set__(StgByteArray a, StgInt fd);
extern StgInt selectFrom__
            ( StgByteArray rfd
            , StgByteArray wfd
	    , StgByteArray efd
	    , StgInt mFd
	    , StgInt tout
	    );

#endif
